IRoleManager.Option (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.auth

## Enum IRoleManager.Option

- java.lang.Object
- - java.lang.Enum<IRoleManager.Option>
  - - org.apache.cassandra.auth.IRoleManager.Option

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IRoleManager.Option>
  Enclosing interface:
    IRoleManager

      public static enum IRoleManager.Option
      extends java.lang.Enum<IRoleManager.Option>

  Supported options for CREATE ROLE/ALTER ROLE (and CREATE USER/ALTER USER, which are aliases provided for backwards compatibility).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOGIN`
    `OPTIONS`
    `PASSWORD`
    `SUPERUSER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IRoleManager.Option` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IRoleManager.Option[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUPERUSER

          public static final IRoleManager.Option SUPERUSER

    - #### PASSWORD

          public static final IRoleManager.Option PASSWORD

    - #### LOGIN

          public static final IRoleManager.Option LOGIN

    - #### OPTIONS

          public static final IRoleManager.Option OPTIONS

  - ### Method Detail

    - #### values

          public static IRoleManager.Option[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IRoleManager.Option c : IRoleManager.Option.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IRoleManager.Option valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation